org.icefaces.ace.component.datetimeentry

## Class DateTimeEntryBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.icefaces.ace.component.datetimeentry.DateTimeEntryBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IDateTimeEntry
  Direct Known Subclasses:
    DateTimeEntry

      public abstract class DateTimeEntryBase
      extends javax.faces.component.UIInput
      implements IDateTimeEntry, IceClientBehaviorHolder

  The DateTime Entry is a component that allows the user to configure and input a date and/or time in various ways.

  For more information, see the DateTimeEntry Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DateTimeEntryBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateTimeEntryBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getAccesskey()` Return the value of the `accesskey` property.
    `java.lang.String` | `getButtonText()` Return the value of the `buttonText` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getEffectDuration()` Return the value of the `effectDuration` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getIndicatorPosition()` Return the value of the `indicatorPosition` property.
    `java.lang.String` | `getLabel()` Return the value of the `label` property.
    `java.lang.String` | `getLabelPosition()` Return the value of the `labelPosition` property.
    `int` | `getLeftMonthOffset()` Return the value of the `leftMonthOffset` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.lang.Object` | `getLocale()` Return the value of the `locale` property.
    `java.lang.Object` | `getMaxdate()` Return the value of the `maxdate` property.
    `int` | `getMaxHour()` Return the value of the `maxHour` property.
    `int` | `getMaxlength()` Return the value of the `maxlength` property.
    `int` | `getMaxMinute()` Return the value of the `maxMinute` property.
    `int` | `getMaxSecond()` Return the value of the `maxSecond` property.
    `java.lang.Object` | `getMindate()` Return the value of the `mindate` property.
    `int` | `getMinHour()` Return the value of the `minHour` property.
    `int` | `getMinMinute()` Return the value of the `minMinute` property.
    `int` | `getMinSecond()` Return the value of the `minSecond` property.
    `java.lang.String` | `getOptionalIndicator()` Return the value of the `optionalIndicator` property.
    `int` | `getPages()` Return the value of the `pages` property.
    `java.lang.String` | `getPattern()` Return the value of the `pattern` property.
    `java.lang.String` | `getPopupIcon()` Return the value of the `popupIcon` property.
    `java.lang.String` | `getRequiredIndicator()` Return the value of the `requiredIndicator` property.
    `java.lang.Object` | `getSelectableDateRanges()` Return the value of the `selectableDateRanges` property.
    `java.lang.String` | `getShowOn()` Return the value of the `showOn` property.
    `int` | `getSize()` Return the value of the `size` property.
    `int` | `getStepHour()` Return the value of the `stepHour` property.
    `int` | `getStepMinute()` Return the value of the `stepMinute` property.
    `int` | `getStepSecond()` Return the value of the `stepSecond` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTabindex()` Return the value of the `tabindex` property.
    `java.lang.Object` | `getTimeZone()` Return the value of the `timeZone` property.
    `java.lang.String` | `getTitle()` Return the value of the `title` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `java.lang.String` | `getYearRange()` Return the value of the `yearRange` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isDisableHoverStyling()` Return the value of the `disableHoverStyling` property.
    `boolean` | `isLenientParsing()` Return the value of the `lenientParsing` property.
    `boolean` | `isNavigator()` Return the value of the `navigator` property.
    `boolean` | `isPopupIconOnly()` Return the value of the `popupIconOnly` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isReadonly()` Return the value of the `readonly` property.
    `boolean` | `isReadOnlyInputText()` Return the value of the `readOnlyInputText` property.
    `boolean` | `isRenderAsPopup()` Return the value of the `renderAsPopup` property.
    `boolean` | `isSelectOtherMonths()` Return the value of the `selectOtherMonths` property.
    `java.lang.Boolean` | `isShowButtonPanel()` Return the value of the `showButtonPanel` property.
    `boolean` | `isShowOtherMonths()` Return the value of the `showOtherMonths` property.
    `boolean` | `isShowWeek()` Return the value of the `showWeek` property.
    `boolean` | `isSingleSubmit()` Return the value of the `singleSubmit` property.
    `boolean` | `isTimeOnly()` Return the value of the `timeOnly` property.
    `boolean` | `isTodayNowButtonsAlsoSelect()` Return the value of the `todayNowButtonsAlsoSelect` property.
    `void` | `setAccesskey(java.lang.String accesskey)` Set the value of the `accesskey` property.
    `void` | `setButtonText(java.lang.String buttonText)` Set the value of the `buttonText` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setDisableHoverStyling(boolean disableHoverStyling)` Set the value of the `disableHoverStyling` property.
    `void` | `setEffect(java.lang.String effect)` Set the value of the `effect` property.
    `void` | `setEffectDuration(java.lang.String effectDuration)` Set the value of the `effectDuration` property.
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)` Set the value of the `indicatorPosition` property.
    `void` | `setLabel(java.lang.String label)` Set the value of the `label` property.
    `void` | `setLabelPosition(java.lang.String labelPosition)` Set the value of the `labelPosition` property.
    `void` | `setLeftMonthOffset(int leftMonthOffset)` Set the value of the `leftMonthOffset` property.
    `void` | `setLenientParsing(boolean lenientParsing)` Set the value of the `lenientParsing` property.
    `void` | `setLocale(java.lang.Object locale)` Set the value of the `locale` property.
    `void` | `setMaxdate(java.lang.Object maxdate)` Set the value of the `maxdate` property.
    `void` | `setMaxHour(int maxHour)` Set the value of the `maxHour` property.
    `void` | `setMaxlength(int maxlength)` Set the value of the `maxlength` property.
    `void` | `setMaxMinute(int maxMinute)` Set the value of the `maxMinute` property.
    `void` | `setMaxSecond(int maxSecond)` Set the value of the `maxSecond` property.
    `void` | `setMindate(java.lang.Object mindate)` Set the value of the `mindate` property.
    `void` | `setMinHour(int minHour)` Set the value of the `minHour` property.
    `void` | `setMinMinute(int minMinute)` Set the value of the `minMinute` property.
    `void` | `setMinSecond(int minSecond)` Set the value of the `minSecond` property.
    `void` | `setNavigator(boolean navigator)` Set the value of the `navigator` property.
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)` Set the value of the `optionalIndicator` property.
    `void` | `setPages(int pages)` Set the value of the `pages` property.
    `void` | `setPattern(java.lang.String pattern)` Set the value of the `pattern` property.
    `void` | `setPopupIcon(java.lang.String popupIcon)` Set the value of the `popupIcon` property.
    `void` | `setPopupIconOnly(boolean popupIconOnly)` Set the value of the `popupIconOnly` property.
    `void` | `setReadonly(boolean readonly)` Set the value of the `readonly` property.
    `void` | `setReadOnlyInputText(boolean readOnlyInputText)` Set the value of the `readOnlyInputText` property.
    `void` | `setRenderAsPopup(boolean renderAsPopup)` Set the value of the `renderAsPopup` property.
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)` Set the value of the `requiredIndicator` property.
    `void` | `setSelectableDateRanges(java.lang.Object selectableDateRanges)` Set the value of the `selectableDateRanges` property.
    `void` | `setSelectOtherMonths(boolean selectOtherMonths)` Set the value of the `selectOtherMonths` property.
    `void` | `setShowButtonPanel(java.lang.Boolean showButtonPanel)` Set the value of the `showButtonPanel` property.
    `void` | `setShowOn(java.lang.String showOn)` Set the value of the `showOn` property.
    `void` | `setShowOtherMonths(boolean showOtherMonths)` Set the value of the `showOtherMonths` property.
    `void` | `setShowWeek(boolean showWeek)` Set the value of the `showWeek` property.
    `void` | `setSingleSubmit(boolean singleSubmit)` Set the value of the `singleSubmit` property.
    `void` | `setSize(int size)` Set the value of the `size` property.
    `void` | `setStepHour(int stepHour)` Set the value of the `stepHour` property.
    `void` | `setStepMinute(int stepMinute)` Set the value of the `stepMinute` property.
    `void` | `setStepSecond(int stepSecond)` Set the value of the `stepSecond` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTabindex(java.lang.String tabindex)` Set the value of the `tabindex` property.
    `void` | `setTimeOnly(boolean timeOnly)` Set the value of the `timeOnly` property.
    `void` | `setTimeZone(java.lang.Object timeZone)` Set the value of the `timeZone` property.
    `void` | `setTitle(java.lang.String title)` Set the value of the `title` property.
    `void` | `setTodayNowButtonsAlsoSelect(boolean todayNowButtonsAlsoSelect)` Set the value of the `todayNowButtonsAlsoSelect` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.
    `void` | `setYearRange(java.lang.String yearRange)` Set the value of the `yearRange` property.

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateTimeEntryBase

          public DateTimeEntryBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### setAccesskey

          public void setAccesskey(java.lang.String accesskey)

      Set the value of the `accesskey` property.

      Contents: Access key that, when pressed, transfers focus to this component when it's in popup mode.

      Specified by:
        `setAccesskey` in interface `IDateTimeEntry`

    - #### getAccesskey

          public java.lang.String getAccesskey()

      Return the value of the `accesskey` property.

      Contents: Access key that, when pressed, transfers focus to this component when it's in popup mode.

      Specified by:
        `getAccesskey` in interface `IDateTimeEntry`

    - #### setButtonText

          public void setButtonText(java.lang.String buttonText)

      Set the value of the `buttonText` property.

      Contents: The text to display on the trigger button. Use in conjunction with the showOn option set to "button" or "both". Default = "".

      Specified by:
        `setButtonText` in interface `IDateTimeEntry`

    - #### getButtonText

          public java.lang.String getButtonText()

      Return the value of the `buttonText` property.

      Contents: The text to display on the trigger button. Use in conjunction with the showOn option set to "button" or "both". Default = "".

      Specified by:
        `getButtonText` in interface `IDateTimeEntry`

    - #### setDisableHoverStyling

          public void setDisableHoverStyling(boolean disableHoverStyling)

      Set the value of the `disableHoverStyling` property.

      Contents: Set to true to disable hover styling to improve performance.

      Specified by:
        `setDisableHoverStyling` in interface `IDateTimeEntry`

    - #### isDisableHoverStyling

          public boolean isDisableHoverStyling()

      Return the value of the `disableHoverStyling` property.

      Contents: Set to true to disable hover styling to improve performance. Default = 'false'.

      Specified by:
        `isDisableHoverStyling` in interface `IDateTimeEntry`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: If true then this date time entry will be disabled and can not be entered.

      Specified by:
        `setDisabled` in interface `IDateTimeEntry`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: If true then this date time entry will be disabled and can not be entered. Default = 'false'.

      Specified by:
        `isDisabled` in interface `IDateTimeEntry`

    - #### setEffect

          public void setEffect(java.lang.String effect)

      Set the value of the `effect` property.

      Contents: Name of the animation used to show/hide the calendar. Use "show", "slideDown", "fadeIn", any of the show/hide jQuery UI effects, or "" for no animation.

      Specified by:
        `setEffect` in interface `IDateTimeEntry`

    - #### getEffect

          public java.lang.String getEffect()

      Return the value of the `effect` property.

      Contents: Name of the animation used to show/hide the calendar. Use "show", "slideDown", "fadeIn", any of the show/hide jQuery UI effects, or "" for no animation. Default = 'show'.

      Specified by:
        `getEffect` in interface `IDateTimeEntry`

    - #### setEffectDuration

          public void setEffectDuration(java.lang.String effectDuration)

      Set the value of the `effectDuration` property.

      Contents: Control the speed at which the calendar appears, it may be a time in milliseconds or a string representing one of the three predefined speeds ("slow", "normal", "fast").

      Specified by:
        `setEffectDuration` in interface `IDateTimeEntry`

    - #### getEffectDuration

          public java.lang.String getEffectDuration()

      Return the value of the `effectDuration` property.

      Contents: Control the speed at which the calendar appears, it may be a time in milliseconds or a string representing one of the three predefined speeds ("slow", "normal", "fast"). Default = 'normal'.

      Specified by:
        `getEffectDuration` in interface `IDateTimeEntry`

    - #### setIndicatorPosition

          public void setIndicatorPosition(java.lang.String indicatorPosition)

      Set the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "labelRight" if labelPosition is "inField", "right" otherwise.

      Specified by:
        `setIndicatorPosition` in interface `IDateTimeEntry`

    - #### getIndicatorPosition

          public java.lang.String getIndicatorPosition()

      Return the value of the `indicatorPosition` property.

      Contents: Position of input-required or input-optional indicator relative to input field or label. Supported values are "left/right/top/bottom/labelLeft/labelRight/none". Default is "labelRight" if labelPosition is "inField", "right" otherwise.

      Specified by:
        `getIndicatorPosition` in interface `IDateTimeEntry`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the value of the `label` property.

      Contents: A localized user presentable name for this component.

      Specified by:
        `setLabel` in interface `IDateTimeEntry`

    - #### getLabel

          public java.lang.String getLabel()

      Return the value of the `label` property.

      Contents: A localized user presentable name for this component.

      Specified by:
        `getLabel` in interface `IDateTimeEntry`

    - #### setLabelPosition

          public void setLabelPosition(java.lang.String labelPosition)

      Set the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/inField/none". Default is "none".

      Specified by:
        `setLabelPosition` in interface `IDateTimeEntry`

    - #### getLabelPosition

          public java.lang.String getLabelPosition()

      Return the value of the `labelPosition` property.

      Contents: Position of label relative to input field. Supported values are "left/right/top/bottom/inField/none". Default is "none".

      Specified by:
        `getLabelPosition` in interface `IDateTimeEntry`

    - #### setLeftMonthOffset

          public void setLeftMonthOffset(int leftMonthOffset)

      Set the value of the `leftMonthOffset` property.

      Contents: Zero-based offset indicating which month should be displayed in the leftmost position.

      Specified by:
        `setLeftMonthOffset` in interface `IDateTimeEntry`

    - #### getLeftMonthOffset

          public int getLeftMonthOffset()

      Return the value of the `leftMonthOffset` property.

      Contents: Zero-based offset indicating which month should be displayed in the leftmost position. Default = '0'.

      Specified by:
        `getLeftMonthOffset` in interface `IDateTimeEntry`

    - #### setLenientParsing

          public void setLenientParsing(boolean lenientParsing)

      Set the value of the `lenientParsing` property.

      Contents: With lenient parsing, the Java date parser may use heuristics to interpret inputs that do not precisely match this date's format. With strict parsing, inputs must match this date's format. Ignored if the converter attribute is used to do format conversion.

      Specified by:
        `setLenientParsing` in interface `IDateTimeEntry`

    - #### isLenientParsing

          public boolean isLenientParsing()

      Return the value of the `lenientParsing` property.

      Contents: With lenient parsing, the Java date parser may use heuristics to interpret inputs that do not precisely match this date's format. With strict parsing, inputs must match this date's format. Ignored if the converter attribute is used to do format conversion. Default = 'true'.

      Specified by:
        `isLenientParsing` in interface `IDateTimeEntry`

    - #### setLocale

          public void setLocale(java.lang.Object locale)

      Set the value of the `locale` property.

      Contents: Locale to be used for labels and conversion. Locale string or java.util.Locale object. Default is locale of view root.

      Specified by:
        `setLocale` in interface `IDateTimeEntry`

    - #### getLocale

          public java.lang.Object getLocale()

      Return the value of the `locale` property.

      Contents: Locale to be used for labels and conversion. Locale string or java.util.Locale object. Default is locale of view root.

      Specified by:
        `getLocale` in interface `IDateTimeEntry`

    - #### setMaxHour

          public void setMaxHour(int maxHour)

      Set the value of the `maxHour` property.

      Contents: Set the hour range.

      Specified by:
        `setMaxHour` in interface `IDateTimeEntry`

    - #### getMaxHour

          public int getMaxHour()

      Return the value of the `maxHour` property.

      Contents: Set the hour range. Default = '23'.

      Specified by:
        `getMaxHour` in interface `IDateTimeEntry`

    - #### setMaxMinute

          public void setMaxMinute(int maxMinute)

      Set the value of the `maxMinute` property.

      Contents: Set the minute range.

      Specified by:
        `setMaxMinute` in interface `IDateTimeEntry`

    - #### getMaxMinute

          public int getMaxMinute()

      Return the value of the `maxMinute` property.

      Contents: Set the minute range. Default = '59'.

      Specified by:
        `getMaxMinute` in interface `IDateTimeEntry`

    - #### setMaxSecond

          public void setMaxSecond(int maxSecond)

      Set the value of the `maxSecond` property.

      Contents: Set the second range.

      Specified by:
        `setMaxSecond` in interface `IDateTimeEntry`

    - #### getMaxSecond

          public int getMaxSecond()

      Return the value of the `maxSecond` property.

      Contents: Set the second range. Default = '59'.

      Specified by:
        `getMaxSecond` in interface `IDateTimeEntry`

    - #### setMaxdate

          public void setMaxdate(java.lang.Object maxdate)

      Set the value of the `maxdate` property.

      Contents: Set a maximum selectable date. Date string or java.util.Date object. Default is no limit. This attribute is ignored if 'selectableDateRanges' is specified.

      Specified by:
        `setMaxdate` in interface `IDateTimeEntry`

    - #### getMaxdate

          public java.lang.Object getMaxdate()

      Return the value of the `maxdate` property.

      Contents: Set a maximum selectable date. Date string or java.util.Date object. Default is no limit. This attribute is ignored if 'selectableDateRanges' is specified.

      Specified by:
        `getMaxdate` in interface `IDateTimeEntry`

    - #### setMaxlength

          public void setMaxlength(int maxlength)

      Set the value of the `maxlength` property.

      Contents: The maximum number of characters that may be entered in this field.

      Specified by:
        `setMaxlength` in interface `IDateTimeEntry`

    - #### getMaxlength

          public int getMaxlength()

      Return the value of the `maxlength` property.

      Contents: The maximum number of characters that may be entered in this field.

      Specified by:
        `getMaxlength` in interface `IDateTimeEntry`

    - #### setMinHour

          public void setMinHour(int minHour)

      Set the value of the `minHour` property.

      Contents: Set the hour range.

      Specified by:
        `setMinHour` in interface `IDateTimeEntry`

    - #### getMinHour

          public int getMinHour()

      Return the value of the `minHour` property.

      Contents: Set the hour range. Default = '0'.

      Specified by:
        `getMinHour` in interface `IDateTimeEntry`

    - #### setMinMinute

          public void setMinMinute(int minMinute)

      Set the value of the `minMinute` property.

      Contents: Set the minute range.

      Specified by:
        `setMinMinute` in interface `IDateTimeEntry`

    - #### getMinMinute

          public int getMinMinute()

      Return the value of the `minMinute` property.

      Contents: Set the minute range. Default = '0'.

      Specified by:
        `getMinMinute` in interface `IDateTimeEntry`

    - #### setMinSecond

          public void setMinSecond(int minSecond)

      Set the value of the `minSecond` property.

      Contents: Set the second range.

      Specified by:
        `setMinSecond` in interface `IDateTimeEntry`

    - #### getMinSecond

          public int getMinSecond()

      Return the value of the `minSecond` property.

      Contents: Set the second range. Default = '0'.

      Specified by:
        `getMinSecond` in interface `IDateTimeEntry`

    - #### setMindate

          public void setMindate(java.lang.Object mindate)

      Set the value of the `mindate` property.

      Contents: Set a minimum selectable date. Date string or java.util.Date object. Default is no limit. This attribute is ignored if 'selectableDateRanges' is specified.

      Specified by:
        `setMindate` in interface `IDateTimeEntry`

    - #### getMindate

          public java.lang.Object getMindate()

      Return the value of the `mindate` property.

      Contents: Set a minimum selectable date. Date string or java.util.Date object. Default is no limit. This attribute is ignored if 'selectableDateRanges' is specified.

      Specified by:
        `getMindate` in interface `IDateTimeEntry`

    - #### setNavigator

          public void setNavigator(boolean navigator)

      Set the value of the `navigator` property.

      Contents: Enables month/year navigator.

      Specified by:
        `setNavigator` in interface `IDateTimeEntry`

    - #### isNavigator

          public boolean isNavigator()

      Return the value of the `navigator` property.

      Contents: Enables month/year navigator.

      Specified by:
        `isNavigator` in interface `IDateTimeEntry`

    - #### setOptionalIndicator

          public void setOptionalIndicator(java.lang.String optionalIndicator)

      Set the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `setOptionalIndicator` in interface `IDateTimeEntry`

    - #### getOptionalIndicator

          public java.lang.String getOptionalIndicator()

      Return the value of the `optionalIndicator` property.

      Contents: Indicator indicating that the user is NOT required to provide a submitted value for this input component.

      Specified by:
        `getOptionalIndicator` in interface `IDateTimeEntry`

    - #### setPages

          public void setPages(int pages)

      Set the value of the `pages` property.

      Contents: Enables multiple page rendering.

      Specified by:
        `setPages` in interface `IDateTimeEntry`

    - #### getPages

          public int getPages()

      Return the value of the `pages` property.

      Contents: Enables multiple page rendering. Default = '1'.

      Specified by:
        `getPages` in interface `IDateTimeEntry`

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Set the value of the `pattern` property.

      Contents: DateFormat pattern for localization. See the DateTimeEntry Wiki Documentation for limitations. Ignored if the converter attribute is used to do format conversion.

      Specified by:
        `setPattern` in interface `IDateTimeEntry`

    - #### getPattern

          public java.lang.String getPattern()

      Return the value of the `pattern` property.

      Contents: DateFormat pattern for localization. See the DateTimeEntry Wiki Documentation for limitations. Ignored if the converter attribute is used to do format conversion. Default = 'MM/dd/yyyy'.

      Specified by:
        `getPattern` in interface `IDateTimeEntry`

    - #### setPopupIcon

          public void setPopupIcon(java.lang.String popupIcon)

      Set the value of the `popupIcon` property.

      Contents: The URL for the popup button image. Default is the file "META-INF/resources/icefaces.ace/datetimeentry/calendar_icon.png" in the components jar. showOn attribute must be set to "button" or "both".

      Specified by:
        `setPopupIcon` in interface `IDateTimeEntry`

    - #### getPopupIcon

          public java.lang.String getPopupIcon()

      Return the value of the `popupIcon` property.

      Contents: The URL for the popup button image. Default is the file "META-INF/resources/icefaces.ace/datetimeentry/calendar_icon.png" in the components jar. showOn attribute must be set to "button" or "both".

      Specified by:
        `getPopupIcon` in interface `IDateTimeEntry`

    - #### setPopupIconOnly

          public void setPopupIconOnly(boolean popupIconOnly)

      Set the value of the `popupIconOnly` property.

      Contents: When enabled, popup icon is rendered without it appearing on a button. Default: "false".

      Specified by:
        `setPopupIconOnly` in interface `IDateTimeEntry`

    - #### isPopupIconOnly

          public boolean isPopupIconOnly()

      Return the value of the `popupIconOnly` property.

      Contents: When enabled, popup icon is rendered without it appearing on a button. Default: "false".

      Specified by:
        `isPopupIconOnly` in interface `IDateTimeEntry`

    - #### setReadOnlyInputText

          public void setReadOnlyInputText(boolean readOnlyInputText)

      Set the value of the `readOnlyInputText` property.

      Contents: Makes input text of a popup calendar readonly.

      Specified by:
        `setReadOnlyInputText` in interface `IDateTimeEntry`

    - #### isReadOnlyInputText

          public boolean isReadOnlyInputText()

      Return the value of the `readOnlyInputText` property.

      Contents: Makes input text of a popup calendar readonly.

      Specified by:
        `isReadOnlyInputText` in interface `IDateTimeEntry`

    - #### setReadonly

          public void setReadonly(boolean readonly)

      Set the value of the `readonly` property.

      Contents: If true then this date time entry will be read-only and can not be entered.

      Specified by:
        `setReadonly` in interface `IDateTimeEntry`

    - #### isReadonly

          public boolean isReadonly()

      Return the value of the `readonly` property.

      Contents: If true then this date time entry will be read-only and can not be entered.

      Specified by:
        `isReadonly` in interface `IDateTimeEntry`

    - #### setRenderAsPopup

          public void setRenderAsPopup(boolean renderAsPopup)

      Set the value of the `renderAsPopup` property.

      Contents: Whether to render the calendar inline or as a popup.

      Specified by:
        `setRenderAsPopup` in interface `IDateTimeEntry`

    - #### isRenderAsPopup

          public boolean isRenderAsPopup()

      Return the value of the `renderAsPopup` property.

      Contents: Whether to render the calendar inline or as a popup. Default = 'false'.

      Specified by:
        `isRenderAsPopup` in interface `IDateTimeEntry`

    - #### setRequiredIndicator

          public void setRequiredIndicator(java.lang.String requiredIndicator)

      Set the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `setRequiredIndicator` in interface `IDateTimeEntry`

    - #### getRequiredIndicator

          public java.lang.String getRequiredIndicator()

      Return the value of the `requiredIndicator` property.

      Contents: Indicator indicating that the user is required to provide a submitted value for this input component.

      Specified by:
        `getRequiredIndicator` in interface `IDateTimeEntry`

    - #### setSelectOtherMonths

          public void setSelectOtherMonths(boolean selectOtherMonths)

      Set the value of the `selectOtherMonths` property.

      Contents: Enables selection of days belonging to other months.

      Specified by:
        `setSelectOtherMonths` in interface `IDateTimeEntry`

    - #### isSelectOtherMonths

          public boolean isSelectOtherMonths()

      Return the value of the `selectOtherMonths` property.

      Contents: Enables selection of days belonging to other months.

      Specified by:
        `isSelectOtherMonths` in interface `IDateTimeEntry`

    - #### setSelectableDateRanges

          public void setSelectableDateRanges(java.lang.Object selectableDateRanges)

      Set the value of the `selectableDateRanges` property.

      Contents: Specifies a number of ranges of selectable dates. The value can be a number of date strings separated by commas, a List of Date objects or an Array of Date objects. These dates are taken in pairs to delimit a range; the first date in the pair is the start date, and the second date in the pair is the end date of that range. These dates are inclusive. If the first date of the pair is null, the empty string, or an invalid date, then the range will be considered to be from any date in the past up to its end date. Likewise, if the second date of the pair is null, an empty string, or an invalid date, then the range will be considered to be from its start date to any date in the future thereafter. If the dates are specified as strings, they are parsed according to the 'pattern' attribute of this component. Dates are taken literally, as they appear in the calendar, without regard for time zones. This attribute takes precedence over the 'mindate' and 'maxdate' attributes. This attribute is only used to specify date ranges, not date-time ranges.

      Specified by:
        `setSelectableDateRanges` in interface `IDateTimeEntry`

    - #### getSelectableDateRanges

          public java.lang.Object getSelectableDateRanges()

      Return the value of the `selectableDateRanges` property.

      Contents: Specifies a number of ranges of selectable dates. The value can be a number of date strings separated by commas, a List of Date objects or an Array of Date objects. These dates are taken in pairs to delimit a range; the first date in the pair is the start date, and the second date in the pair is the end date of that range. These dates are inclusive. If the first date of the pair is null, the empty string, or an invalid date, then the range will be considered to be from any date in the past up to its end date. Likewise, if the second date of the pair is null, an empty string, or an invalid date, then the range will be considered to be from its start date to any date in the future thereafter. If the dates are specified as strings, they are parsed according to the 'pattern' attribute of this component. Dates are taken literally, as they appear in the calendar, without regard for time zones. This attribute takes precedence over the 'mindate' and 'maxdate' attributes. This attribute is only used to specify date ranges, not date-time ranges.

      Specified by:
        `getSelectableDateRanges` in interface `IDateTimeEntry`

    - #### setShowButtonPanel

          public void setShowButtonPanel(java.lang.Boolean showButtonPanel)

      Set the value of the `showButtonPanel` property.

      Contents: Whether to show the panel containing today button and close button for popup. Default is false without time component and true with time component.

      Specified by:
        `setShowButtonPanel` in interface `IDateTimeEntry`

    - #### isShowButtonPanel

          public java.lang.Boolean isShowButtonPanel()

      Return the value of the `showButtonPanel` property.

      Contents: Whether to show the panel containing today button and close button for popup. Default is false without time component and true with time component.

      Specified by:
        `isShowButtonPanel` in interface `IDateTimeEntry`

    - #### setShowOn

          public void setShowOn(java.lang.String showOn)

      Set the value of the `showOn` property.

      Contents: Have the calendar appear automatically when the field receives focus ("focus"), appear only when a button (specified by popupIcon attribute) is clicked ("button"), or appear when either event takes place ("both").

      Specified by:
        `setShowOn` in interface `IDateTimeEntry`

    - #### getShowOn

          public java.lang.String getShowOn()

      Return the value of the `showOn` property.

      Contents: Have the calendar appear automatically when the field receives focus ("focus"), appear only when a button (specified by popupIcon attribute) is clicked ("button"), or appear when either event takes place ("both"). Default = 'focus'.

      Specified by:
        `getShowOn` in interface `IDateTimeEntry`

    - #### setShowOtherMonths

          public void setShowOtherMonths(boolean showOtherMonths)

      Set the value of the `showOtherMonths` property.

      Contents: Displays days belonging to other months.

      Specified by:
        `setShowOtherMonths` in interface `IDateTimeEntry`

    - #### isShowOtherMonths

          public boolean isShowOtherMonths()

      Return the value of the `showOtherMonths` property.

      Contents: Displays days belonging to other months.

      Specified by:
        `isShowOtherMonths` in interface `IDateTimeEntry`

    - #### setShowWeek

          public void setShowWeek(boolean showWeek)

      Set the value of the `showWeek` property.

      Contents: Displays the week number next to each week.

      Specified by:
        `setShowWeek` in interface `IDateTimeEntry`

    - #### isShowWeek

          public boolean isShowWeek()

      Return the value of the `showWeek` property.

      Contents: Displays the week number next to each week.

      Specified by:
        `isShowWeek` in interface `IDateTimeEntry`

    - #### setSingleSubmit

          public void setSingleSubmit(boolean singleSubmit)

      Set the value of the `singleSubmit` property.

      Contents: When singleSubmit is true, changing the value of this component will submit and execute this component only (equivalent to <f:ajax execute="@this" render="@all">). When singleSubmit is false, no submit will occur. <ace:ajax> submit events have precedence over singleSubmit.

      Specified by:
        `setSingleSubmit` in interface `IDateTimeEntry`

    - #### isSingleSubmit

          public boolean isSingleSubmit()

      Return the value of the `singleSubmit` property.

      Contents: When singleSubmit is true, changing the value of this component will submit and execute this component only (equivalent to <f:ajax execute="@this" render="@all">). When singleSubmit is false, no submit will occur. <ace:ajax> submit events have precedence over singleSubmit. Default = 'false'.

      Specified by:
        `isSingleSubmit` in interface `IDateTimeEntry`

    - #### setSize

          public void setSize(int size)

      Set the value of the `size` property.

      Contents: The number of characters used to determine the width of the input field in a popup calendar. Default is the maximum possible size of a date formatted by the date pattern.

      Specified by:
        `setSize` in interface `IDateTimeEntry`

    - #### getSize

          public int getSize()

      Return the value of the `size` property.

      Contents: The number of characters used to determine the width of the input field in a popup calendar. Default is the maximum possible size of a date formatted by the date pattern.

      Specified by:
        `getSize` in interface `IDateTimeEntry`

    - #### setStepHour

          public void setStepHour(int stepHour)

      Set the value of the `stepHour` property.

      Contents: Increment/decrement steps when hour slider is dragged.

      Specified by:
        `setStepHour` in interface `IDateTimeEntry`

    - #### getStepHour

          public int getStepHour()

      Return the value of the `stepHour` property.

      Contents: Increment/decrement steps when hour slider is dragged. Default = '1'.

      Specified by:
        `getStepHour` in interface `IDateTimeEntry`

    - #### setStepMinute

          public void setStepMinute(int stepMinute)

      Set the value of the `stepMinute` property.

      Contents: Increment/decrement steps when minute slider is dragged.

      Specified by:
        `setStepMinute` in interface `IDateTimeEntry`

    - #### getStepMinute

          public int getStepMinute()

      Return the value of the `stepMinute` property.

      Contents: Increment/decrement steps when minute slider is dragged. Default = '1'.

      Specified by:
        `getStepMinute` in interface `IDateTimeEntry`

    - #### setStepSecond

          public void setStepSecond(int stepSecond)

      Set the value of the `stepSecond` property.

      Contents: Increment/decrement steps when second slider is dragged.

      Specified by:
        `setStepSecond` in interface `IDateTimeEntry`

    - #### getStepSecond

          public int getStepSecond()

      Return the value of the `stepSecond` property.

      Contents: Increment/decrement steps when second slider is dragged. Default = '1'.

      Specified by:
        `getStepSecond` in interface `IDateTimeEntry`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: style will be rendered on a root element of this component

      Specified by:
        `setStyle` in interface `IDateTimeEntry`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: style will be rendered on a root element of this component

      Specified by:
        `getStyle` in interface `IDateTimeEntry`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: style class will be rendered on a root element of this component

      Specified by:
        `setStyleClass` in interface `IDateTimeEntry`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: style class will be rendered on a root element of this component

      Specified by:
        `getStyleClass` in interface `IDateTimeEntry`

    - #### setTabindex

          public void setTabindex(java.lang.String tabindex)

      Set the value of the `tabindex` property.

      Contents: Position of the text field in the tabbing order for the current page. This value must be an integer between 0 and 32767.

      Specified by:
        `setTabindex` in interface `IDateTimeEntry`

    - #### getTabindex

          public java.lang.String getTabindex()

      Return the value of the `tabindex` property.

      Contents: Position of the text field in the tabbing order for the current page. This value must be an integer between 0 and 32767.

      Specified by:
        `getTabindex` in interface `IDateTimeEntry`

    - #### setTimeOnly

          public void setTimeOnly(boolean timeOnly)

      Set the value of the `timeOnly` property.

      Contents: Specifies whether to display/input time only.

      Specified by:
        `setTimeOnly` in interface `IDateTimeEntry`

    - #### isTimeOnly

          public boolean isTimeOnly()

      Return the value of the `timeOnly` property.

      Contents: Specifies whether to display/input time only. Default = 'false'.

      Specified by:
        `isTimeOnly` in interface `IDateTimeEntry`

    - #### setTimeZone

          public void setTimeZone(java.lang.Object timeZone)

      Set the value of the `timeZone` property.

      Contents: String or a java.util.TimeZone instance to specify the timezone used for date conversion, defaults to TimeZone.getDefault()

      Specified by:
        `setTimeZone` in interface `IDateTimeEntry`

    - #### getTimeZone

          public java.lang.Object getTimeZone()

      Return the value of the `timeZone` property.

      Contents: String or a java.util.TimeZone instance to specify the timezone used for date conversion, defaults to TimeZone.getDefault()

      Specified by:
        `getTimeZone` in interface `IDateTimeEntry`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `setTitle` in interface `IDateTimeEntry`

    - #### getTitle

          public java.lang.String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

      Specified by:
        `getTitle` in interface `IDateTimeEntry`

    - #### setTodayNowButtonsAlsoSelect

          public void setTodayNowButtonsAlsoSelect(boolean todayNowButtonsAlsoSelect)

      Set the value of the `todayNowButtonsAlsoSelect` property.

      Contents: The Today (or Now) button can be set to navigate the popup to the current month without selecting date/time, or select the date/time as well.

      Specified by:
        `setTodayNowButtonsAlsoSelect` in interface `IDateTimeEntry`

    - #### isTodayNowButtonsAlsoSelect

          public boolean isTodayNowButtonsAlsoSelect()

      Return the value of the `todayNowButtonsAlsoSelect` property.

      Contents: The Today (or Now) button can be set to navigate the popup to the current month without selecting date/time, or select the date/time as well. Default = 'false'.

      Specified by:
        `isTodayNowButtonsAlsoSelect` in interface `IDateTimeEntry`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the client side widget.

      Specified by:
        `setWidgetVar` in interface `IDateTimeEntry`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the client side widget.

      Specified by:
        `getWidgetVar` in interface `IDateTimeEntry`

    - #### setYearRange

          public void setYearRange(java.lang.String yearRange)

      Set the value of the `yearRange` property.

      Contents: Control the range of years displayed in the year drop-down: either relative to today's year (-nn:+nn), relative to the currently selected year (c-nn:c+nn), absolute (nnnn:nnnn), or combinations of these formats (nnnn:-nn).

      Specified by:
        `setYearRange` in interface `IDateTimeEntry`

    - #### getYearRange

          public java.lang.String getYearRange()

      Return the value of the `yearRange` property.

      Contents: Control the range of years displayed in the year drop-down: either relative to today's year (-nn:+nn), relative to the currently selected year (c-nn:c+nn), absolute (nnnn:nnnn), or combinations of these formats (nnnn:-nn). Default = 'c-10:c+10'.

      Specified by:
        `getYearRange` in interface `IDateTimeEntry`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.